data:extend({
    {
        type = "recipe",
        name = "grid-emitter",
        energy_required = 2,
        ingredients = {
            { "iron-plate", 1 },
            { "electronic-circuit", 1 },
            { "small-lamp", 1 }
        },
        result = "grid-emitter",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-1-0",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-1-0.png",
        subgroup = "grid-1",
        order = "a[l1]-a[d0]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-3-1",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-3-1.png",
        subgroup = "grid-3",
        order = "b[l3]-a[d1]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-3-2",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-3-2.png",
        subgroup = "grid-3",
        order = "b[l3]-b[d2]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-3-3",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-3-3.png",
        subgroup = "grid-3",
        order = "b[l3]-c[d3]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-3-4",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-3-4.png",
        subgroup = "grid-3",
        order = "b[l3]-d[d4]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-3-5",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-3-5.png",
        subgroup = "grid-3",
        order = "b[l3]-e[d5]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-3-6",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-3-6.png",
        subgroup = "grid-3",
        order = "b[l3]-f[d6]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-3-7",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-3-7.png",
        subgroup = "grid-3",
        order = "b[l3]-g[d7]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-3-8",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-3-8.png",
        subgroup = "grid-3",
        order = "b[l3]-h[d8]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-5-1",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-5-1.png",
        subgroup = "grid-5",
        order = "c[l5]-a[d1]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-5-2",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-5-2.png",
        subgroup = "grid-5",
        order = "c[l5]-b[d2]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-5-3",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-5-3.png",
        subgroup = "grid-5",
        order = "c[l5]-c[d3]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-5-4",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-5-4.png",
        subgroup = "grid-5",
        order = "c[l5]-d[d4]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-5-5",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-5-5.png",
        subgroup = "grid-5",
        order = "c[l5]-e[d5]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-5-6",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-5-6.png",
        subgroup = "grid-5",
        order = "c[l5]-f[d6]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-5-7",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-5-7.png",
        subgroup = "grid-5",
        order = "c[l5]-g[d7]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-5-8",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-5-8.png",
        subgroup = "grid-5",
        order = "c[l5]-h[d8]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-7-1",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-7-1.png",
        subgroup = "grid-7",
        order = "d[l7]-a[d1]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-7-2",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-7-2.png",
        subgroup = "grid-7",
        order = "d[l7]-b[d2]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-7-3",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-7-3.png",
        subgroup = "grid-7",
        order = "d[l7]-c[d3]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-7-4",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-7-4.png",
        subgroup = "grid-7",
        order = "d[l7]-d[d4]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-7-5",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-7-5.png",
        subgroup = "grid-7",
        order = "d[l7]-e[d5]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-7-6",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-7-6.png",
        subgroup = "grid-7",
        order = "d[l7]-f[d6]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-7-7",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-7-7.png",
        subgroup = "grid-7",
        order = "d[l7]-g[d7]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-7-8",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-7-8.png",
        subgroup = "grid-7",
        order = "d[l7]-h[d8]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-9-1",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-9-1.png",
        subgroup = "grid-9",
        order = "e[l9]-a[d1]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-9-2",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-9-2.png",
        subgroup = "grid-9",
        order = "e[l9]-b[d2]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-9-3",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-9-3.png",
        subgroup = "grid-9",
        order = "e[l9]-c[d3]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-9-4",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-9-4.png",
        subgroup = "grid-9",
        order = "e[l9]-d[d4]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-9-5",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-9-5.png",
        subgroup = "grid-9",
        order = "e[l9]-e[d5]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-9-6",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-9-6.png",
        subgroup = "grid-9",
        order = "e[l9]-f[d6]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-9-7",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-9-7.png",
        subgroup = "grid-9",
        order = "e[l9]-g[d7]",
        enabled = false
    },
    {
        type = "recipe",
        name = "grid-9-8",
        category = "grid-drawing",
        energy_required = 999,
        ingredients = {},
        results = {{ type="fluid", name="grid-fluid", amount=1 }},
        icon = "__custom-grid-emitter__/graphics/icons/grid-9-8.png",
        subgroup = "grid-9",
        order = "e[l9]-h[d8]",
        enabled = false
    }
})
